## Update a category (desk:admin)

`PUT /api/desk/v1/categories/{id}`

Module: Desk · operationId: `updateCategory` · Tag: Configuration · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string (uuid) | yes |  |

### Request body

`application/json` (required)

- `name` (string, required): Name of the category
- `archived` (boolean): Archived: the category is kept for existing data but no longer offered in pickers
- `id` (string): Id of the category
- `parentId` (string): Parent category (empty: top level)
- `sortOrder` (integer): Position in lists (ascending)

Example:

```json
{
  "archived": false,
  "id": "0c7d8e9f-1a2b-4c3d-8e5f-7a8b9c0d1e02",
  "name": "WLAN",
  "parentId": "0c7d8e9f-1a2b-4c3d-8e5f-7a8b9c0d1e01",
  "sortOrder": 2
}
```

### Responses

- **200** Saved (`application/json`)

Fields of the 200 answer:

- `name` (string, required): Name of the category
- `archived` (boolean): Archived: the category is kept for existing data but no longer offered in pickers
- `id` (string): Id of the category
- `parentId` (string): Parent category (empty: top level)
- `sortOrder` (integer): Position in lists (ascending)

Example 200 answer:

```json
{
  "archived": false,
  "id": "0c7d8e9f-1a2b-4c3d-8e5f-7a8b9c0d1e02",
  "name": "WLAN",
  "parentId": "0c7d8e9f-1a2b-4c3d-8e5f-7a8b9c0d1e01",
  "sortOrder": 2
}
```

### Example request

```bash
curl -X PUT 'https://api.mbcom.cloud/api/desk/v1/categories/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H 'Content-Type: application/json' \
  --data '{"archived":false,"id":"0c7d8e9f-1a2b-4c3d-8e5f-7a8b9c0d1e02","name":"WLAN","parentId":"0c7d8e9f-1a2b-4c3d-8e5f-7a8b9c0d1e01","sortOrder":2}'
```
